/***************************************************************************
 *   Copyright (C) 2007 by Mateusz Dworak aka compbatant                   *
 *   compbatant@linux.pl                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef FOXSTATUS_HPP
#define FOXSTATUS_HPP

#include <Status.hpp>
#include <fx.h>

#include "Cancelable.hpp"

/**
	@author Mateusz Dworak aka compbatant <m@nao.linux.pl>
*/
class FoxStatus : public Status, public FXDialogBox
{
FXDECLARE(FoxStatus)

public:

	FoxStatus(FXWindow * owner,Cancelable *_cancelable);
	FoxStatus(){}
	virtual ~FoxStatus();
	virtual void tick();
	
	long onCancel ( FXObject * obj, FXSelector sel, void *ptr );

	
	enum
	{
		ID_CANCEL = FXDialogBox::ID_LAST,
	};    
	
private:
	
	FXProgressBar *progressTotal, *progressCurrent;
	FXApp* app;
	FXLabel *label1;
	FXLabel *label2;
	Cancelable *cancelable;
		

};

#endif
